Main Page | Class Hierarchy | Alphabetical List | Compound List | Compound Members

# IRdVertexSelectionStream Struct Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
RtDWORD | GetNumVertexSelectionWeights (void)
HRESULT | SetNumVertexSelectionWeights ([in] RtDWORD dwNumVertexSelectionWeights)
HRESULT | weight ([in] RtDWORD dwIndex,[out, retval] RtFloat *pVal)
HRESULT | weight ([in] RtDWORD dwIndex,[in] RtFloat newVal)
HRESULT | orgelementtype ([in] RtDWORD dwIndex,[out, retval] RtBYTE *pVal)
HRESULT | orgelementtype ([in] RtDWORD dwIndex,[in] RtBYTE newVal)
HRESULT | orgelementindex ([in] RtDWORD dwIndex,[out, retval] RtUlong *pVal)
HRESULT | orgelementindex ([in] RtDWORD dwIndex,[in] RtUlong newVal)

## Detailed Description

IRdVertexSelectionStream specifies vertex selection weights and vertex lookup table. Data type for this stream is RtVertexSelectionWeight.

The stream is part of IRdMesh and is stored in Vertex stream group. Stream is identified by STREAMID_VERTEX_SEL_WEIGHTS id.

## Member Function Documentation

RtDWORD IRdVertexSelectionStream::GetNumVertexSelectionWeights | ( | void |  | ) |

| Get number of vertices Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdVertexSelectionStream::SetNumVertexSelectionWeights | ( | [in] RtDWORD | dwNumVertexSelectionWeights | ) |

| Set number of vertices Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdVertexSelectionStream::weight | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] RtFloat * | pVal
| ) |

| Get weight of i-th vertex Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdVertexSelectionStream::weight | ( | [in] RtDWORD | dwIndex,
|  | [in] RtFloat | newVal
| ) |

| Set weight of i-th vertex Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdVertexSelectionStream::orgelementtype | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] RtBYTE * | pVal
| ) |

| Get previous element type of i-th vertex. Type is defined by RtOrgElementTypes enum. Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdVertexSelectionStream::orgelementtype | ( | [in] RtDWORD | dwIndex,
|  | [in] RtBYTE | newVal
| ) |

| Set previous element type of i-th vertex. Type is defined by RtOrgElementTypes enum. Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdVertexSelectionStream::orgelementindex | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] RtUlong * | pVal
| ) |

| Get previous element type of i-th vertex. Type is defined by RtOrgElementTypes enum. Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdVertexSelectionStream::orgelementindex | ( | [in] RtDWORD | dwIndex,
|  | [in] RtUlong | newVal
| ) |

| Set previous element type of i-th vertex. Type is defined by RtOrgElementTypes enum. Returns: standard HRESULT processing can be applied to returned value